Page MenuHomePhabricator

"Talk" tab stays red
Closed, ResolvedPublic

Description

After I installed flow, I noticed that the "Talk" tab doesn't change color even when someone started a thread. But if there was content on the Talk page before the migration to flow, then the tab is blue regardless of whether there's some Flow comments or not.

Event Timeline

gregoire raised the priority of this task from to Needs Triage.
gregoire updated the task description. (Show Details)
gregoire added a subscriber: gregoire.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

After I installed flow

Which version, on which MediaWiki version?

Alsee added a subscriber: Alsee.Oct 14 2015, 8:42 PM

I don't know if it is related, but in this comment: https://www.mediawiki.org/w/index.php?title=Topic:Sqd8qg7l54ih29v5&topic_showPostId=sqd8qgcfqx72z629#flow-post-sqd8qgcfqx72z629
Quiddity's talk page rendered as red when writing the post, rendered as blue when saved, and renders as red when you click to edit it.

I don't know if it is related, but in this comment: https://www.mediawiki.org/w/index.php?title=Topic:Sqd8qg7l54ih29v5&topic_showPostId=sqd8qgcfqx72z629#flow-post-sqd8qgcfqx72z629
Quiddity's talk page rendered as red when writing the post, rendered as blue when saved, and renders as red when you click to edit it.

Interesting. That might be a VE bug; I'll file it separately.

I don't know if it is related, but in this comment: https://www.mediawiki.org/w/index.php?title=Topic:Sqd8qg7l54ih29v5&topic_showPostId=sqd8qgcfqx72z629#flow-post-sqd8qgcfqx72z629
Quiddity's talk page rendered as red when writing the post, rendered as blue when saved, and renders as red when you click to edit it.

Interesting. That might be a VE bug; I'll file it separately.

Sorry, I spoke too soon. It happens because [[mw:User:Quiddity (WMF)]] doesn't actually exist (note the "create" tabs in the top right, and the lack of a history tab) and the content you see there comes from his global user page on meta. There's a trick that GlobalUserPage uses to make links to such pages appear blue instead of red, but VE doesn't respect that yet. That has already been reported as T72123: VisualEditor redlink detection should obey Title::isAlwaysKnown (so that links to Special pages, EducationProgram pages and GlobalUserPages render correctly).

Also, to answer your original question, that problem is not at all related to this bug, even though it appears similar at first (red link to user-related page that shouldn't be red).

Which version, on which MediaWiki version?

mediawiki 1.25.1 and Flow tarbal Flow-REL1_25-576f705.tar.gz (Flow has no version in the Special:Version page).

Alsee removed a subscriber: Alsee.Oct 20 2015, 10:44 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 5 2015, 12:49 AM
Seb35 closed this task as Resolved.Jun 4 2016, 5:35 PM
Seb35 claimed this task.
Seb35 added a subscriber: Seb35.

I confirm this bug in 1.25.5, and it is solved by upgrading to MediaWiki 1.26. The upgrade is not trivial, but my comment on T122329#2355471 should help.

I’ve just added the blockers and close this bug.

Seb35 triaged this task as Normal priority.Jun 4 2016, 5:36 PM